.btn {
    color: #000;
    outline: none;
    cursor: pointer;
    height: rem(42);
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(20);
    padding: rem(4) rem(16) rem(4) rem(20);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    letter-spacing: 0.15em;
    text-transform: uppercase;
    font-family: $font-family-secondary;
    border: rem(1) solid transparent;
    background: $white;
    border-radius: 0;
    transition: .25s;

    &:hover {
        color: $white;
        background: $violet;
        text-decoration: none;
        transition: .25s;
    }

    &:active {
        color: $black;
        background: $white;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        height: rem(20);
        display: inline-block;
    }

    span + i {
        margin-left: rem(12);
    }

    i + span {
        margin-left: rem(12);
    }

    @include media-breakpoint-up(md) {
        height: rem(50);
        font-size: rem(15);
    }
}

.btn-border {
    fill: $white;
    color: $white;
    border: 1px solid $white;
    background: transparent;
}

.btn-start {
    border: none;
    outline: none;
    height: rem(42);
    color: $black;
    cursor: pointer;
    white-space: nowrap;
    font-weight: 700;
    font-size: rem(14);
    line-height: rem(20);
    letter-spacing: 0.14rem;
    text-transform: uppercase;
    font-family: $font-family-secondary;
    padding: rem(4) rem(18);
    background: $white;
    display: inline-flex;
    align-items: center;
    justify-content: center;

    span {
        margin-right: rem(12);
        display: inline-block;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        position: relative;

        i {
            width: 100%;
            height: 100%;
            opacity: 1;
            display: inline-block;
            transition: .25s;

            + i {
                top: 0;
                left: 0;
                z-index: 10;
                position: absolute;
                stroke: #9000FF;
                transform: translateX(0);
            }
        }
    }

    &:hover {
        color: $white;
        background: $violet;
        text-decoration: none;
        transition: .25s;

        .btn-start {

            &__icon {

                i {
                    opacity: 0;
                    transition: .25s;
                }

                i + i {
                    opacity: 1;
                    stroke: $white;
                    transform: translateX(10px);
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        height: rem(50);
        font-size: rem(15);
        padding-left: rem(25);
        padding-right: rem(25);
    }
}

.btn-header {

    @media (max-width: $mobile) {
        padding: 0;
        width: rem(38);
        height: rem(38);

        span {
            display: none;
        }
    }
}

.btn-black {
    color: $white;
    background: $black;
}

.btn-sm {
    height: rem(36);
    font-size: rem(12);
}

.btn-link {
    margin: 0;
    padding: 0;
    fill: $violet;
    color: $violet;
    border: none;
    outline: none;
    font-size: rem(14);
    line-height: rem(20);
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    background: transparent;
    text-decoration: none;

    i {
        top: 1px;
        font-size: 0;
        line-height: 0;
        height: rem(15);
        flex-shrink: 0;
        position: relative;
        display: inline-block;
        margin-right: rem(6);
    }

    &:hover {
        color: $violet;
        text-decoration: underline;
    }

    @include media-breakpoint-up(md) {
        font-size: rem(15);
        line-height: rem(22);

        i {
            height: rem(17);
            margin-right: rem(8);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(16);
        line-height: rem(24);
    }
}

.btn-close {
    margin: 0;
    padding: 0;
    width: rem(38);
    height: rem(38);
    cursor: pointer;
    border-radius: 50%;
    position: relative;
    background: transparent;
    border: 2px solid $white;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .3s;

    &:after,
    &:before {
        z-index: 20;
        content: '';
        width: 14px;
        height: 2px;
        position: absolute;
        background: $white;
        top: calc(50% - 1px);
        left: calc(50% - 7px);
    }

    &:after {
        transform: rotate(45deg);
    }

    &:before {
        transform: rotate(-45deg);
    }

    i {
        z-index: 1;
        opacity: 0.2;
        width: rem(30);
        height: rem(30);
        border-radius: 50%;
        display: inline-block;
        border: 1px solid $white;
        flex-shrink: 0;
        transition: .3s;
    }

    &:hover {
        border-color: $violet;
        transition: .3s;

        i {
            width: rem(34);
            height: rem(34);
            transition: .3s;
            border-color: $violet;
        }
    }

    @include media-breakpoint-up(md) {
        width: rem(48);
        height: rem(48);

        i {
            width: rem(38);
            height: rem(38);
        }

        &:hover {

            i {
                width: rem(46);
                height: rem(46);
            }
        }
    }

    @media (min-width: 1250px) and (min-height: $height) {
        width: rem(76);
        height: rem(76);

        i {
            width: rem(62);
            height: rem(62);
        }

        &:hover {

            i {
                width: rem(72);
                height: rem(72);
            }
        }
    }
}

.nav-button {
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    width: rem(42);
    height: rem(42);
    overflow: hidden;
    cursor: pointer;
    border-radius: 50%;
    position: relative;
    border: 1px solid $white;
    display: inline-flex;
    align-items: center;
    background: transparent;
    justify-content: center;
    stroke: $white;

    &:before {
        top: 0;
        left: 0;
        z-index: 1;
        content: '';
        width: 100%;
        height: 100%;
        position: absolute;
        border-radius: 50%;
        backdrop-filter: blur(10px);
        filter:blur(10px);
        -webkit-filter:blur(10px);
        transition: .3s;
    }

    &:after {
        top: 0;
        left: 0;
        z-index: 5;
        content: '';
        width: 100%;
        height: 100%;
        border-radius: 50%;
        position: absolute;
        background: $violet;
        transition: .3s;
    }

    i {
        z-index: 10;
        height: rem(12);
        position: relative;
    }

    &--prev {

        &:after {
            transform: translateX(100%);
        }


    }

    &--next {

        &:after {
            transform: translateX(-100%);
        }


    }

    &:hover {
        background: rgba(255, 255, 255, 0.2);
        transition: .3s;

        &:after {
            transform: translateX(0) !important;
            transition: .3s;
        }
    }

    @include media-breakpoint-up(md) {
        width: rem(56);
        height: rem(56);

        i {
            height: rem(14);
        }

        &--sm {
            width: rem(46);
            height: rem(46);
        }
    }

    @include media-breakpoint-up(xl) {

        &--sm {
            width: rem(56);
            height: rem(56);
        }
    }
}

.btn-send {
    min-width: rem(172);
}

.w-100 {
    width: 100%;
}
